/* Computes basic statistics */
/* varnames is a colum vector */

proc estadi(varnames,var);
local mi,ma,me,fmt,mask,results;
fmt={ "- *.*lg" 10 10,
      "*.*lf" 14 6,
      "*.*lf" 14 6,
      "*.*lf" 14 6 };
mask={ 0,1,1,1 };
mask=mask';
cls
print "*********************   Results *******************";
print;
print "Variables         Mean          Min           Max";
print "_________________________________________________";
mi=minc(var);
ma=maxc(var);
me=meanc(var);
results=varnames~me~mi~ma;
call printfm(results,mask,fmt);
retp(0);
print;
endp;

proc estadi2(varnames,var);
local mi,ma,me,fmt,mask,results,stand;
fmt={ "- *.*lg" 10 10,
      "*.*lf" 14 6,
      "*.*lf" 14 6,
      "*.*lf" 14 6,
      "*.*lf" 14 6};
mask={ 0,1,1,1,1 };
mask=mask';
cls
print "************************   Results *************************";
print;
print "Variables         Mean          STD         Min           Max";
print "____________________________________________________________";
mi=minc(var);
ma=maxc(var);
me=meanc(var);
stand=sqrt(meanc(var^2)-meanc(var)^2);
results=varnames~me~stand~mi~ma;
call printfm(results,mask,fmt);
retp(0);
print;
endp;
